%define version    0.9.8
%define release    3mdk
%define name    xine-ui
%define theme	CelomaMdk
%define theme1	CelomaGold
%define theme2  xinetic0.6

Name:        %name
Summary:     A Free Video Player.
Version:     %version
Release:     %release
License:   GPL
Group:       Video
Source:      %name-%version.tar.bz2
Source1:     %theme.tar.bz2
Source2:     %theme1.tar.bz2
Source3:     %theme2.tar.bz2
URL:         http://xine.sourceforge.net
Requires:    xine-plugins >= %version, ORBit
Buildrequires: libxine-devel >= %version, libslang1-devel
Buildrequires: libgpm1-devel, ORBit-devel, libpng-devel
BuildRoot:   %_tmppath/%name-buildroot


%package aa
Summary:     XINE - Ascii Art player.
Group:       Video
Requires:    xine-aa

%description
xine is a free gpl-licensed video player for unix-like systems.

- User interface.

%description aa
Video player using Ascii Art library.

%prep

%setup -q -a 1 -a 2 
chmod 644 %theme/* %theme1/*
#update xinetic skin to a newer version
cd src/xitk/skins/xinetic
tar xjf %SOURCE3
%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_libdir}/menu
cat > ./%{_libdir}/menu/%{name} <<EOF 
?package(xine-ui):command="%{_bindir}/xine" title="Xine" longtitle="Xine Video Player" needs="X11" section="Multimedia/Video" icon="xine.png"
EOF
)

#install icons
mkdir -p %{buildroot}{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
(cd misc/desktops
cp xine_48x48.png %{buildroot}%{_liconsdir}/xine.png
cp xine_32x32.png %{buildroot}%{_iconsdir}/xine.png
cp xine_16x16.png %{buildroot}%{_miconsdir}/xine.png
)

#language files
%find_lang xitk
%find_lang xine-ui
cat xitk.lang >> xine-ui.lang

#install extra themes
cp -r %theme %theme1 %buildroot%_datadir/xine/skins

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xine-ui.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README doc/FAQ* doc/bug_report_form
%doc doc/README.config* doc/README.corba doc/README.divx4 
%doc doc/README.dxr3* doc/README_* doc/README.mrl doc/README.syncfb 
%_bindir/xine*
%_datadir/idl/xine.idl
%_datadir/xine
%_mandir/man1/*
%lang(es) %_mandir/es/man1/*
%lang(fr) %_mandir/fr/man1/*
%lang(pl) %_mandir/pl/man1/*
%_menudir/*
%_miconsdir/xine.png
%_liconsdir/xine.png
%_iconsdir/xine.png

%files aa
%defattr(-,root,root)
%doc README COPYING
%_bindir/aaxine

%changelog
* Fri Feb 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-3mdk
- updated CelomaMdk and xinetic theme
- added CelomaGold theme
- updated documentation section

* Thu Feb 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-2mdk
- added CelomaMdk theme

* Thu Jan 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- added xine-check and xine-bugreport
- updated %%doc section 
- 0.9.8

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- 0.9.7

* Wed Dec  5 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-3mdk
- really remove requirement for libdvdread2

* Wed Dec  5 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-2mdk
- don't require libdvdread2

* Thu Nov 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- install translation files
- install icons
- fix data dir
- fix file listing
- BuildRequires libpng-devel
- new version

* Thu Nov 22 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-3mdk
- add missing files
- rebuild with new skins dir (/usr/share/xine0)
- use macros

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-2mdk

- fix requires in xine-ui-aa ( thx laurent )


* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

